<!DOCTYPE html>
<html>
	<head>
		<title>个体收购商-详情</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<meta name="viewport"
			content="width=device-width,initial-scale=1,minimum-scale=1,maximum-scale=1,user-scalable=no" />
		<!-- 所有的 css js 资源 -->
		<link rel="stylesheet" href="https://unpkg.com/element-ui@2.13.0/lib/theme-chalk/index.css">
		<link rel="stylesheet" href="../../static/sa.css">
		<script src="../../static/kj/vue.min.js"></script>
		<script src="../../static/kj/element-ui/index.js"></script>
		<script src="../../static/kj/httpVueLoader.js"></script>
		<script src="../../static/kj/jquery.min.js"></script>
		<script src="../../static/kj/layer/layer.js"></script>
		<script src="../../static/sa.js"></script>
		<script src="../../static/kj/upload-util.js"></script>
		<style type="text/css">
			.c-panel .c-label {
				width: 8em;
			}
			.c-item .image-box-2 {
				height: 90px;
			}
			.el-row{
				border-bottom: 1px solid #eeeeee;
			}
			table {
			  font-family: arial, sans-serif;
			  border-collapse: collapse;
			  width: 90%;
			  margin-top: 22px ;
			  margin-left: auto;
			  margin-right: auto;
			}
			th {
			  border: 1px solid darkgray;
			  text-align: left;
			  height: 22px;
			  padding: 8px;
			  background-color: #dddddd;
			}
			td {
			  border: 1px solid darkgray;
			  text-align: left;
			  padding: 8px;
			}
		</style>
	</head>
	<body>
		<div class="vue-box sbot" style="display: none;" :style="'display: block;'">
			<!-- ------- 内容部分 ------- -->
			<div class="s-body">
				<div class="c-panel">
					<el-form v-if="m">
						<el-alert show-icon title="审核驳回" :description="m.judgeContent" type="error" v-if="m.judgeStatus==2"></el-alert>
						<table>
							<tr>
								<th>姓名</th>
								<td>{{m.name}}</td>
								<th>邮箱</th>
								<td>{{m.email}}</td>
							</tr>
							<tr>
								<th>联系电话</th>
								<td>{{m.contact}}</td>
								<!--<td>{{maskPhone(m.contact)}}</td>-->
								<th>身份证号</th>
								<td>{{m.idCard}}</td>
								<!--<td>{{maskId(m.idCard)}}</td>-->
							</tr>
							<tr>
								<th>银行名称</th>
								<td>{{m.bankName}}</td>
								<th>银行编号</th>
								<td>{{m.bankNo}}</td>
							</tr>
							<tr>
								<th>银行账号</th>
								<td>{{m.bankAccount}}</td>
								<th>地址</th>
								<td>{{m.address}}</td>
							</tr>
						</table>
					</el-form>
				</div>
			</div>
			<!-- ------- 底部按钮 ------- -->
			<div class="s-foot" v-if="sa.isAuth('tb-purchaser-judge')">
				<el-button type="warning" @click="judgeBack">审核驳回</el-button>
				<el-button type="success" @click="judgePass">审核通过</el-button>
				<el-button @click="sa.closeCurrIframe()">取消</el-button>
			</div>
		</div>
		<script>
			var app = new Vue({
				components: {
					"sa-info": httpVueLoader('../../sa-frame/com/sa-info.vue')
				},
				el: '.vue-box',
				data: {
					id: sa.p('id', 0), // 获取数据ID
					m: null
				},
				methods: {
					judgeBack() {
						let id = this.m.id;
						layer.prompt({
							title: '输入审核意见'
						}, function(content, index) {
							layer.close(index);
							sa.ajax('/level-two-server/TbPurchaser/audit', {
								id: id,
								judgeContent: content,
								judgeStatus: 2
							}, function(res) {
								layer.msg('审核已驳回');
								setTimeout(() => {
									parent.app.f5(); // 刷新父页面列表
									sa.closeCurrIframe(); // 关闭本页
								}, 800)
							})
						});
					},
					judgePass() {
						sa.ajax('/level-two-server/TbPurchaser/audit', {
							id: this.m.id,
							judgeContent: '审核通过',
							judgeStatus: 1
						}, function(res) {
							layer.msg('审核通过');
							setTimeout(() => {
								parent.app.f5(); // 刷新父页面列表
								sa.closeCurrIframe(); // 关闭本页
							}, 800)
						})
					},
				},
				mounted: function() {
					sa.ajax('/level-two-server/TbPurchaser/getById?id=' + this.id, function(res) {
						this.m = res.data;
						if (res.data == null) {
							sa.alert('未能查找到 id=' + this.id + " 详细数据");
						}
					}.bind(this))
				}
			})
		</script>
	</body>
</html>
